Packager: Steffen Plotner
Summary: lvm-tools 
Name: lvm-tools
Version: 2.2
Release: 1.amherst
License: GPL
Epoch: 4
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
Vendor: Steffen Plotner, Amherst College
Requires: lvm2 >= 2.02.06
Requires: bc
Requires: ddless >= 1.0
Requires: udev

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
lvm tools to aid with copying devices, such as lvm, regular devices, or files
from a source to a target. If the source is of type lvm, you can copy it by
first setting up a snapshot. This packages provides tools like lvm_copy
lvm_snap_copy, lvm_snap_create, lvm_snap_remote and lvm_summary. For I/O
monitoring of lvm device-mapper entries you can use lvm_iostat.

Also included is a udev scsi sn symlink mapper to identify scsi devices in /dev.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/lvm
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc/udev/scripts
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d

cp -av etc/* $RPM_BUILD_ROOT/etc/lvm
cp -av lvm_* $RPM_BUILD_ROOT/%{_sbindir}
cp -av scsi-disk-sn.sh $RPM_BUILD_ROOT/etc/udev/scripts
#cp -av 99-scsi-disk-sn.rules $RPM_BUILD_ROOT/etc/udev/rules.d

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
cat <<EUD > /etc/udev/rules.d/99-scsi-disk-sn.rules
#
# iscsi/fc disks (to allow vmware server to access raw luns, for example)
#
EUD

udev_ver=$(udevinfo -V | cut -f3 -d' ')
if [ $udev_ver -gt 055 ]; then
	#
	# centos 5 (095)
	#
cat <<EUD >> /etc/udev/rules.d/99-scsi-disk-sn.rules
KERNEL=="sd[a-z]", BUS=="scsi", PROGRAM="/etc/udev/scripts/scsi-disk-sn.sh %k", SYMLINK="%c"
EUD

else
	#
	# centos 4 (039)
	#
cat <<EUD >> /etc/udev/rules.d/99-scsi-disk-sn.rules
KERNEL="sd[a-z]", BUS="scsi", PROGRAM="/etc/udev/scripts/scsi-disk-sn.sh %k", SYMLINK="%c"
EUD
		
fi

%preun
# removing them here has left me with no rules during update - fix it.
#rm -f /etc/udev/rules.d/99-scsi-disk-sn.rules

%postun

%files
%defattr(-,root,root)
%config(noreplace) /etc/lvm/lvm_tools.conf
%{_sbindir}/lvm*
/etc/udev/scripts/scsi-disk-sn.sh
#/etc/udev/rules.d/99-scsi-disk-sn.rules

%changelog
* Sat Jan 01 2011 Steffen Plotner <swplotner@amherst.edu>
- updates to lvm_iostat (-d implemented and block size calcs)

* Sat May 24 2008 Steffen Plotner <swplotner@amherst.edu>
- version 2.0 release

* Fri May 09 2008 Steffen Plotner <swplotner@amherst.edu>
- udev rules did not get generated

* Wed Apr 02 2008 Steffen Plotner <swplotner@amherst.edu>
- added ddless support

* Sun Dec 30 2007 Steffen Plotner <swplotner@amherst.edu>
- added scsi SN udev support for vmware server and other purposes

* Tue Nov 20 2007 Steffen Plotner <swplotner@amherst.edu>
- rate check display incorrect (thanks to Tim Cary)
- get_device_size using sfdisk only support 2TB slices, use fdisk

* Mon Apr 23 2007 Steffen Plotner <swplotner@amherst.edu>
- provide staging for target logical volume

* Wed Feb 14 2007 Steffen Plotner <swplotner@amherst.edu>
- timeout changes in lvm_tools.conf

* Fri Jan 15 2007 Steffen Plotner <swplotner@amherst.edu>
- initial package
